%function fig = BladderGui()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

close all
clear all

load BladderGui

BackColor =  [.8 .8 .8];

h0 = figure('Units','points', ...
	'Color',BackColor, ...
	'Colormap',mat0, ...
	'FileName',mat1, ...
	'PaperPosition',[18 180 576 432], ...
   'PaperUnits','points', ...
   'Name','Cancer Detection Tool',...
   'NumberTitle','off',...
	'Position',[356.25 67.5 424.5 316.5], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',BackColor, ...
	'ListboxTop',0, ...
	'Position',[37.5 262.5 80.25 12.75], ...
	'String','Iterations', ...
	'Style','text', ...
	'Tag','StaticText1', ...
	'TooltipString','Iterations');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',BackColor, ...
	'ListboxTop',0, ...
	'Position',[37.5 243.75 78 13.5], ...
	'String','Modes', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',BackColor, ...
	'ListboxTop',0, ...
	'Position',[37.5 206.25 91.5 13.5], ...
	'String','Filter POD Mean', ...
	'Style','text', ...
	'Tag','StaticText3');
hc_Itt = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[131.25 262.5 37.5 15], ...
	'String','5', ...
	'Style','edit', ...
	'Tag','EditText1');
hc_Mode = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[131.25 243.75 37.5 16.5], ...
	'String','4', ...
	'Style','edit', ...
	'Tag','EditText2');
hc_Cent = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',BackColor, ...
	'ListboxTop',0, ...
	'Position',[131.25 206.25 17.25 18.75], ...
	'Style','checkbox', ...
	'Tag','Checkbox1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',BackColor, ...
   'Callback',[...
      'NumOfItt = str2num(get(hc_Itt,''string''));'...
      'NumOfModes = str2num(get(hc_Mode,''string''));'...
		'Center = get(hc_Cent,''value'');'...
   	'Bladder_ICA_Modes_Itt(NumOfItt, NumOfModes, Center)'], ...
	'ListboxTop',0, ...
	'Position',[225 206.25 132 75], ...
	'String','Go', ...
	'Tag','Pushbutton1');
%if nargout > 0, fig = h0; end
